package pddapi

import (
	"git.rosy.net.cn/baseapi"
	"go.uber.org/zap"
)

var (
	api         *API
	sugarLogger *zap.SugaredLogger
)

func init() {
	logger, _ := zap.NewDevelopment()
	sugarLogger = logger.Sugar()
	baseapi.Init(sugarLogger)

	api = New("f9d95aaf5856485eabf39588f69a86de", "fa40c1fe356eebc1376ace1d2380ed44e553c602")
	api.SetCookieWithStr(`
api_uid=rBUUdWCCMreX52J0PKSxAg==; _crr=Sc9lQeJBDpG6Cf1Ae5AIwa0sZ40C0PUt; _bee=Sc9lQeJBDpG6Cf1Ae5AIwa0sZ40C0PUt; _f77=90467a51-270b-4cdf-9ac3-f41857c1c446; _a42=7253ac74-23d5-4ac7-a4cc-4897fd9f0f04; rcgk=Sc9lQeJBDpG6Cf1Ae5AIwa0sZ40C0PUt; rckk=Sc9lQeJBDpG6Cf1Ae5AIwa0sZ40C0PUt; ru1k=90467a51-270b-4cdf-9ac3-f41857c1c446; ru2k=7253ac74-23d5-4ac7-a4cc-4897fd9f0f04; _nano_fp=XpEalpgYnpTyX0PolT_Oq8RPIoS2CU18OBg0Nv2H; accesstoken=664839c54548f3710c9ceeef9b4371479854d2cdd4bbc; DDJB_PASS_ID=4328f6f7ab5fa4cc1617be1b8fc359b1; DDJB_LOGIN_SCENE=0
`)
}
